package com.kaviz.heal.API;

import com.google.gson.JsonObject;
import com.kaviz.heal.Model.ResponseModelOne;
import com.kaviz.heal.Model.ResponseModelThree;
import com.kaviz.heal.Model.ResponseModelTwo;
import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.Field;
import retrofit2.http.FormUrlEncoded;
import retrofit2.http.GET;
import retrofit2.http.POST;

public interface ApiRequestData {

    @GET("/risk")
    Call<ResponseModelOne>getGraphsAndPrediction();

    @GET("/diwo")
    Call<ResponseModelTwo>getHealthTips();

    @FormUrlEncoded
    @POST("/pharmacy")
    Call<ResponseModelThree>getPharmacyZ(
            @Field("user_location") String user_location,
            @Field("medicine_list") String medicine_list
    );

    @POST("/pharmacy")
    Call<ResponseModelThree>getPharmacies(@Body JsonObject jsonObject);

}
